Skip to Content
SeyloDocs
API referenceSign-in and account

Check a GitHub sign-in

POST
/api/v1/auth.githubPoll

Polls the device flow. With status done it signs in the person linked to that GitHub login (result holds the LoginResult); noAccount when nobody is linked to it.

Needs no sign-in. Not available to MCP clients or the assistant.

Request Body

application/json
  1. body
ticket*string
Length1 <= length <= 200

Response Body

Success.

application/json
  1. response
status*string|string|string|string|string|string
intervalSeconds*integer
Range1 <= value
result?
Example Request
curl -X POST 'https://example.com/api/v1/auth.githubPoll' \  -H 'Content-Type: application/json' \  -d '{  "ticket": "string"}'
Example Response
{  "status": "pending",  "intervalSeconds": 1,  "result": {    "status": "signedIn",    "viewer": {      "id": "string",      "email": "[email protected]",      "name": "string",      "role": "owner"    },    "challenge": {      "ticket": "string",      "methods": [        "totp"      ],      "expiresAt": "2019-08-24T14:15:22Z"    }  }}